Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.ui
Class RadioButtonGroup

    java.lang.Object
      |
      +--javax.swing.ButtonGroup
            |
            +--com.togethersoft.openapi.util.ui.RadioButtonGroup

public class RadioButtonGroup
extends ButtonGroup

Represents group of radio buttons. As the radio button can be any button. Keys LEFT, RIGHT, UP, DOWN, TAB and SHIFT-TAB can be used to walkaround this group.

Author:
  TogetherSoft

Fields inherited from class javax.swing.ButtonGroup
`buttons`

Constructor Summary
`RadioButtonGroup()` Constructs new empty group.

Method Summary
`void` | `add(AbstractButton b)` Adds new AbstractButton `b` to this group and register key and focus listeners for it.
`Enumeration` | `getElements()` Return enumeration of enabled buttons.
`void` | `remove(AbstractButton button)` Removes cspecified AbstractButton from this group.

Methods inherited from class javax.swing.ButtonGroup
`getSelection, setSelected, isSelected, getButtonCount`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### RadioButtonGroup

    public RadioButtonGroup()

  Constructs new empty group.

Method Detail

### add

    public void add(AbstractButton b)

  Adds new AbstractButton `b` to this group and register key and focus listeners for it.
  Parameters:
    b - AbstractButton to be added.

### getElements

    public Enumeration getElements()

  Return enumeration of enabled buttons.

### remove

    public void remove(AbstractButton button)

  Removes cspecified AbstractButton from this group.
  Parameters:
    button - AbstractButton to be removed

Association Links

to Class java.awt.event.KeyListener

to Class javax.swing.FocusManager

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD